#
# spec file for package lite-xl-colors
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

%define programname lite-xl
Name:           lite-xl-colors
Version:        git20221219.b3a9cdd
Release:        bp155.1.4
Summary:        Additional colors for %{programname}
License:        MIT
URL:            https://github.com/lite-xl/lite-xl-colors
Source:         %{name}-%{version}.tar.gz
Requires:       lite-xl
BuildArch:      noarch

%description
Color themes for the Lite XL text editor, originally forked from the lite colors repository.

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}%{_datadir}/%{programname}/colors
mkdir -p %{buildroot}%{_datadir}/doc/%{name}
install -D -m644 colors/* %{buildroot}%{_datadir}/%{programname}/colors
install -D -m644 LICENSE %{buildroot}%{_datadir}/doc/%{name}/LICENSE
install -D -m644 README.md %{buildroot}%{_datadir}/doc/%{name}/README.md

%files
%dir %{_datadir}/%{programname}
%dir %{_datadir}/%{programname}/colors
%dir %{_datadir}/doc/%{name}
%{_datadir}/%{programname}/colors/*
%{_datadir}/doc/%{name}/LICENSE
%{_datadir}/doc/%{name}/README.md

%changelog
* Fri Dec 30 2022 scott.bradnick@suse.com
- Update to version git20221219.b3a9cdd:
  * Fix highlight color in solarized_light.lua
* Thu Nov  3 2022 scott.bradnick@suse.com
- Update to version git20221011.b245158:
  * Additional quote.
  * Made it clearer.
  * Update README.md
* Thu Oct 13 2022 Scott Bradnick <scott.bradnick@suse.com>
- Cleaning up _service file
* Wed Jul 27 2022 scott.bradnick@suse.com
- Update to version git20220624.7eafe25:
  * Updated README (#15)
  * fixed scrollbar color typo
  * Added github_dark colorscheme and It's preview
  * `duorand`: Set alpha channel of randomized color
  * Update README.md
  * Add Betelgeuse preview
  * Add Betelgeuse theme
* Tue May 17 2022 scott.bradnick@suse.com
- Update to version git20220517.e5d1c3d:
  * add jellybeans and tokyo-night colorschemes
  * add jellybeans and tokyo-night colorschemes
  * added synthwave colorscheme
* Wed Apr 13 2022 scott.bradnick@suse.com
- Update to version git20220310.8e1cc27:
  * onedark: added missing color to operators from official pallete.
  * Add github-dark-dimmed colorscheme
  * Add 'plasma' color theme
  * Place SVGs directly in previews folder
  * Removed preview suffix from SVGs
  * Update all previews to SVGs
  * Generate svg preview instead of png
  * Update README.md
  * Create gruvbox_light.lua
  * Update README.md
* Wed Apr 13 2022 Scott Bradnick <scott.bradnick@suse.com>
- Initial version from upstream.
